Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056295 - Support registration to Red Hat Satellite in openshift.ks
Summary: Support registration to Red Hat Satellite in openshift.ks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 22:27 UTC by Luke Meyer
Modified: 2017-03-08 17:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-13 12:48:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Luke Meyer 2014-01-21 22:27:10 UTC
Description of problem:
If a user wishes to register to Satellite, apparently all they need to do is add --serverUrl SERVER_URL to the rhnreg_ks command. We should have a configurable option for this.

While we are at it, there's a similar option --serverurl=SERVER_URL for subscription-manager register. So, just a single conf option should set the server url for either.

Additional info:
There are quite a lot of options that someone might want to add both to rhnreg_ks or to subscription-manager register. It might be better to just have a catch-all CONF_REGISTER_OPTIONS or something that can encompass everything non-essential that people might want, rather than having to go back later and add options for --insecure, --sslCACert, --org, etc... And for that matter that could replace the activation key option we have now.

Comment 3 Luke Meyer 2014-02-19 22:40:10 UTC
https://github.com/openshift/openshift-extras/pull/301 creates CONF_RHN_REG_OPTS for this purpose.

Comment 4 Johnny Liu 2014-02-20 10:36:12 UTC
Verified this bug, and PASS.

For RHN:
CONF_INSTALL_METHOD="rhn"
CONF_RHN_USER="xxx"
CONF_RHN_PASS="xxx"
CONF_RHN_REG_OPTS="--serverUrl=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC"

During installation, could see the following, CONF_RHN_REG_OPTS is already attached to rhnreg_ks command:
rhnreg_ks --force --profilename='OpenShift-broker.example.com-172.16.0.97-xxx' --username 'xxx' --serverUrl=https://xmlrpc.rhn.errata.stage.redhat.com/XMLRPC


For RHSM:
CONF_INSTALL_METHOD="rhsm"
CONF_RHN_USER="xxx"
CONF_RHN_PASS="xxx"
CONF_SM_REG_POOL="8a85f9863cf496b3013da2315a27694d"
CONF_RHN_REG_OPTS="--serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.rcm-qa.redhat.com"

During installation, could see the following, CONF_RHN_REG_OPTS is already attached to subscription-manager command:
OpenShift: Register with RHSM
subscription-manager register --force --username='xxx' --name 'OpenShift-broker.example.com-172.16.0.100-xxx' --serverurl=subscription.rhn.stage.redhat.com --baseurl=https://cdn.rcm-qa.redhat.com


After installation, app creation succeed.


Note You need to log in before you can comment on or make changes to this bug.